server {
    listen 8080;
    server_name nginx-server;

    location / {
        autoindex on;
        autoindex_format json;

        root /var/lib/nginx;
        client_body_temp_path  /var/lib/nginx/tmp;

        create_full_put_path on;
        dav_access group:rw all:r;
        dav_methods  PUT DELETE MKCOL COPY MOVE;
    }
}
